Skip to main content

createTrustCenterDocument

Upload a document to the Trust Center

createTrustCenterDocument(
input: CreateTrustCenterDocumentInput!
): CreateTrustCenterDocumentPayload

Arguments​

createTrustCenterDocument.input ● CreateTrustCenterDocumentInput! non-null input​

Parameters for CreateTrustCenterDocument

Type​

CreateTrustCenterDocumentPayload object​

Autogenerated return type of CreateTrustCenterDocument.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the trustCenters query first and use data.trustCenters.collection[].id as trustCenterId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateTrustCenterDocument($input: CreateTrustCenterDocumentInput!) {\n createTrustCenterDocument(input: $input) { clientMutationId document { id title byteSize } }\n}","variables":{"input":{"trustCenterId":1,"title":"example","category":"example","file":"<Upload>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute